package ua.be.wee.model.nodes;

import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;

@Entity
public class JoinNode extends Node {
	
	@OneToMany
	private List<Node> previousNodes;
	
	@OneToOne(cascade = CascadeType.ALL)
	private Node next;

	public List<Node> getPreviousNodes() {
		return previousNodes;
	}

	public void setPreviousNodes(List<Node> previousNodes) {
		this.previousNodes = previousNodes;
	}

	public Node getNext() {
		return next;
	}

	public void setNext(Node next) {
		this.next = next;
	}

}
